Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040192
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-02-14 09:242019-03-28 14:56
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision6c4017ffae94
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040192: XmlEngine should not be a Servlet

DescriptionXmlEngine should not be used as a Servlet, nor as a standalone Java class.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0032688 acknowledgedplatform remove unused resources 
blocks defect 0040195 closedalostale API change: XmlEngine is not Servlet 
blocks defect 0040211 closedalostale Servlets randomly become unavailable on 1st request 

-  Notes
(0109831)
hgbot (developer)
2019-02-14 12:21

Repository: erp/devel/pi
Changeset: 4dc18ae9b32699cf8439bee55f7a883160375bd0
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 14 09:31:22 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4dc18ae9b32699cf8439bee55f7a883160375bd0 [^]

fixed issue 40192: XmlEngine should not be a Servlet

---
M src-core/src/org/openbravo/xmlEngine/XmlEngine.java
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_PARA.xml
---
(0109832)
hgbot (developer)
2019-02-14 12:21

Repository: erp/devel/pi
Changeset: 6c4017ffae94597d6d52fe3b508a32d21f117cc9
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 14 09:32:18 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6c4017ffae94597d6d52fe3b508a32d21f117cc9 [^]

fixed issue 40192: XmlEngine shouldn't be standalone executuble

---
M src-core/src/org/openbravo/xmlEngine/XmlEngine.java
---
(0109833)
hgbot (developer)
2019-02-14 12:21

Repository: erp/devel/pi
Changeset: 1175ab44522da72c12b5a5226b16bc31c42c6e47
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 14 10:05:31 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1175ab44522da72c12b5a5226b16bc31c42c6e47 [^]

related to issue 40192: additional cleanup

  Removed unnecessary methods
  Reduced visibility
  Minor code refactors

---
M src-core/src/org/openbravo/xmlEngine/XmlEngine.java
---
(0109834)
hgbot (developer)
2019-02-14 12:21

Repository: erp/devel/pi
Changeset: b32c4494df35a1f8e290ed55d429e88912dbafe5
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 14 12:05:41 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b32c4494df35a1f8e290ed55d429e88912dbafe5 [^]

related to issue 40192: removed unused Report class

---
R src-core/src/org/openbravo/xmlEngine/Report.java
---
(0109876)
caristu (developer)
2019-02-15 14:36

Reviewed
(0110812)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110813)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110814)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110815)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-14 09:24 alostale New Issue
2019-02-14 09:24 alostale Assigned To => platform
2019-02-14 09:24 alostale Modules => Core
2019-02-14 09:24 alostale Triggers an Emergency Pack => No
2019-02-14 10:00 alostale Relationship added blocks 0032688
2019-02-14 12:10 alostale Relationship added blocks 0040195
2019-02-14 12:15 alostale Description Updated View Revisions
2019-02-14 12:15 alostale Description Updated View Revisions
2019-02-14 12:20 alostale Assigned To platform => alostale
2019-02-14 12:20 alostale Review Assigned To => caristu
2019-02-14 12:21 hgbot Checkin
2019-02-14 12:21 hgbot Note Added: 0109831
2019-02-14 12:21 hgbot Status new => resolved
2019-02-14 12:21 hgbot Resolution open => fixed
2019-02-14 12:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4dc18ae9b32699cf8439bee55f7a883160375bd0 [^]
2019-02-14 12:21 hgbot Checkin
2019-02-14 12:21 hgbot Note Added: 0109832
2019-02-14 12:21 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4dc18ae9b32699cf8439bee55f7a883160375bd0 [^] => http://code.openbravo.com/erp/devel/pi/rev/6c4017ffae94597d6d52fe3b508a32d21f117cc9 [^]
2019-02-14 12:21 hgbot Checkin
2019-02-14 12:21 hgbot Note Added: 0109833
2019-02-14 12:21 hgbot Checkin
2019-02-14 12:21 hgbot Note Added: 0109834
2019-02-15 08:17 alostale Relationship added blocks 0040211
2019-02-15 14:36 caristu Note Added: 0109876
2019-02-15 14:36 caristu Status resolved => closed
2019-02-15 14:36 caristu Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110812
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110813
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110814
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110815


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker